
function rowClass(record, index) {
  return record[this.rowKey] === this.activeID ? 'active' : '';
}




function table_rowSelection() {
  const { rowSelectType} = this;
  if (!rowSelectType) return null;
  let chType = [false, 'radio', 'checkbox'];
  if (typeof rowSelectType === 'number') {
    chType = chType[rowSelectType];
  }
  const {select,selectInvert,selectAll,selectChange}=this.$listeners

  let _config = {
    type: 'checkbox',
    columnWidth: 32,
    columnTitle:'all',
    onChange:selectChange,
    onSelect: select,
    onSelectAll: selectAll,
    onSelectInvert:selectInvert
  };
  if (this.rowSelectFixed) {
    _config.fixed=true

  }


  return _config;
}

export default {
  rowClass,
  table_rowSelection,
  // onSelectChange(selectedRowKeys, selectedRows) {
  //   this.$emit('selectChange', selectedRowKeys, selectedRows);

  // },
  // onSelect(...args) {
  //   this.$emit('select', ...args);
  // },
  // onSelectAll(...args) {
  //   this.$emit('selectAll', ...args);
  // }
};
